import pytest

from sat_automations.asset_automation.models import Asset, FMILocation

pytestmark = pytest.mark.django_db


def test_make_asset():
    asset = Asset(source_guid="1")
    asset.save()
    assert "1" == Asset.objects.filter(source_guid="1").all()[0].source_guid


def test_make_location():
    location = FMILocation(building_abbr="TEST", building_number="8675")
    location.save()
    assert "8675" == FMILocation.objects.filter(building_number="8675").all()[0].building_number
