from typing import Optional

from pydantic import BaseModel


class PeoplesoftPerson(BaseModel):
    campus_id: str
    first_name: str
    middle_name: str
    last_name: str
    classification: str
    unity: str
    email: Optional[str]
    # Employees
    current_employee: Optional[str]
    department: Optional[str]
    ouc: Optional[str]
    supervisor_id: Optional[str]
    effective_date: Optional[str]
    # Students
    current_student: Optional[str]
    academic_level: Optional[str]
    was_student: Optional[str]
