from logging import DEBUG

from django.apps import AppConfig
from django.conf import settings
from sat.logs import SATLogger

if settings.DEBUG:
    logger = SATLogger(__name__, level=DEBUG)
else:
    logger = SATLogger(__name__)


class AcsJournalConfig(AppConfig):
    default_auto_field = "django.db.models.BigAutoField"
    name = "sat_automations.acs_journal"
