from django.core.management.base import BaseCommand
from sat.logs import SATLogger

from sat_automations.image_update_automation.tasks import set_empty_portraits

logger = SATLogger(__name__)


class Command(BaseCommand):
    def handle(self, *args, **options):
        try:
            set_empty_portraits()
            logger.info("Set empty portraits")
        except Exception as e:
            logger.info(f"Could not set empty portraits: {e}")
